%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate minidom

Name:           rust-minidom0.12
Version:        0.12.0
Release:    1%{?dist}
Summary:        Small, simple DOM implementation on top of quick-xml

License:        MPL-2.0
URL:            https://crates.io/crates/minidom
Source0:         %{crates_source}
Patch:          minidom-fix-ipaddr-test.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Small, simple DOM implementation on top of quick-xml.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+comments-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+comments-devel %{_description}

This package contains library source intended for building other packages which
use the "comments" feature of the "%{crate}" crate.

%files       -n %{name}+comments-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.0-1
- initial build
